# Copyright 2004-2009, Didier Bur

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :          sulinks.rb
# Description :   Set,Get/Edit and opens URL/files:scenes for any object in SU model
# Author :        Didier Bur
# Usage :         
# Date :          28.Oct.2004
# Type :          Tool
# History:        1.0 (26.Oct.2004) - URL management
#                 1.1 (28.Oct.2004) - File management
#                 2.0. (25.Nov.2009) - Tool, cursors, WebDialogs
#                 Published Dec 2010.
#                 2.1 (June 2013) Extension published
#				  2.2 (April 2022) Enhanced with path support, cosmestic changes
#				  2.3 (Dec 2022) Bugs fixing

require 'sketchup.rb'
require 'extensions.rb'

lk_extension = SketchupExtension.new("Links Manager", "DBUR_LinksManager/DBUR_LinksManager")
lk_extension.version = "2.3.0"
lk_extension.name = "Links Manager"
lk_extension.copyright = "D. Bur"
lk_extension.creator = "D. Bur"
lk_extension.description = "Add links (URL or file or scene) to any entity of your SketchUp models."
Sketchup.register_extension(lk_extension, true)
